/usr/lib/arm-linux-gnueabihf/indicator-network/indicator-network-service:6:__gnu_cxx::__verbose_terminate_handler:__cxxabiv1::__terminate:std::terminate:__cxxabiv1::__cxa_throw:core::dbus::Bus::send_with_reply_and_block_for_at_most

Bug #1343341 reported by errors.ubuntu.com bug bridge on 2014-07-17
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
indicator-network (Ubuntu)
Critical
Jussi Pakkanen
indicator-network (Ubuntu RTM)
Critical
Antti Kaijanmäki

Bug Description

The Ubuntu Error Tracker has been receiving reports about a problem regarding indicator-network. This problem was most recently seen with version 0.5.1+14.10.20140715-0ubuntu1, the problem page at https://errors.ubuntu.com/problem/eb8fe775c22d5210f56ad7ac038ac1b1895f4465 contains more details.

Related branches

tags: added: qasoak
Changed in indicator-network (Ubuntu):
importance: Undecided → Critical
tags: added: qa-daily-testing rtm14
Chris Gagnon (chris.gagnon) wrote :

The stack trace on this bug has improved, please look again at the errors.u.c link

This is currently the most common crash on the phone

Changed in indicator-network (Ubuntu):
assignee: nobody → Antti Kaijanmäki (kaijanmaki)
Chris Gagnon (chris.gagnon) wrote :

I have a video of one of the crashes here: https://chinstrap.canonical.com/~chrisgagnon/v6.vlc

tags: added: touch
tags: added: touch-2014
removed: touch
tags: added: touch-2014-08-28
removed: touch-2014
Changed in indicator-network (Ubuntu):
assignee: Antti Kaijanmäki (kaijanmaki) → Jussi Pakkanen (jpakkane)
Changed in indicator-network (Ubuntu RTM):
importance: Undecided → Critical
assignee: nobody → Antti Kaijanmäki (kaijanmaki)
Changed in indicator-network (Ubuntu):
status: New → Triaged
Changed in indicator-network (Ubuntu RTM):
status: New → Triaged
Changed in indicator-network (Ubuntu):
status: Triaged → In Progress
Changed in indicator-network (Ubuntu RTM):
status: Triaged → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-network - 0.5.1+14.10.20140826-0ubuntu1

---------------
indicator-network (0.5.1+14.10.20140826-0ubuntu1) utopic; urgency=low

  [ Jussi Pakkanen ]
  * Exit gracefully on dbus error conditions. (LP: #1343341)
 -- Ubuntu daily release <email address hidden> Tue, 26 Aug 2014 15:04:09 +0000

Changed in indicator-network (Ubuntu):
status: In Progress → Fix Released
Selene ToyKeeper (toykeeper) wrote :

Do we have any reliable method to invoke the crash manually?

Antti Kaijanmäki (kaijanmaki) wrote :

frankly no.. The only thing you could try is to tap repeatedly on an akready connected access point. That should trigger the timeout.You notice hitting this bug when the indicator goes blank and repopulates. There should be no crash file under /var/crash/ for indicator-network after this.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-network - 0.5.1+14.10.20140826-0ubuntu1

---------------
indicator-network (0.5.1+14.10.20140826-0ubuntu1) 14.09; urgency=low

  [ Jussi Pakkanen ]
  * Exit gracefully on dbus error conditions. (LP: #1343341)
 -- Ubuntu daily release <email address hidden> Tue, 26 Aug 2014 15:04:09 +0000

Changed in indicator-network (Ubuntu RTM):
status: In Progress → Fix Released
Antti Kaijanmäki (kaijanmaki) wrote :

NOT fixed in RTM yet.

Changed in indicator-network (Ubuntu RTM):
status: Fix Released → In Progress
Antti Kaijanmäki (kaijanmaki) wrote :

arvhice src-copy

Changed in indicator-network (Ubuntu RTM):
status: In Progress → Triaged
status: Triaged → Fix Released
Chris Gagnon (chris.gagnon) wrote :

https://errors.ubuntu.com/oops/ba473ca0-2ec1-11e4-861b-fa163e339c81 Shows this is still broken in indicator-network version(0.5.1+14.10.20140826-0ubuntu1)

Chris Gagnon (chris.gagnon) wrote :

There are 26 crashes for this on the 20140827.1 image which is using indicator-network version(0.5.1+14.10.20140826-0ubuntu1) moving from fix released to confirmed

Changed in indicator-network (Ubuntu):
status: Fix Released → Confirmed
Changed in indicator-network (Ubuntu RTM):
status: Fix Released → Confirmed
Antti Kaijanmäki (kaijanmaki) wrote :

Oh, it's another Properties.Get() default timeout, Jussi, please give this the usual treatment:
#10 0x000950da in platform::nmofono::wifi::Link::connect_to (this=0xaafea0, accessPoint=...) at /build/buildd/indicator-network-0.5.1+14.10.20140826/src/connectivity-cpp/src/platform/nmofono/wifi/link.cpp:333

Antti Kaijanmäki (kaijanmaki) wrote :

Jussi, just come to think of it.. Just extend the try-catch to the entire Link::connect_to()

Changed in indicator-network (Ubuntu):
status: Confirmed → Fix Released
Changed in indicator-network (Ubuntu RTM):
status: Confirmed → Fix Released
Chris Gagnon (chris.gagnon) wrote :

This is still a bug in the latest image

https://errors.ubuntu.com/oops/1672f12a-3d1a-11e4-b050-fa163e22e467

current build number: 40
device name: krillin
channel: ubuntu-touch/ubuntu-rtm/14.09-proposed
version version: 40
version ubuntu: 20140915
version device: 20140908-d8c11f3
version custom: 1410739265

indicator-network 0.5.1+14.10.20140829~rtm-0ubuntu1 [origin: Ubuntu RTM]

Changed in indicator-network (Ubuntu):
status: Fix Released → Confirmed
Changed in indicator-network (Ubuntu RTM):
status: Fix Released → Confirmed
Changed in indicator-network (Ubuntu):
status: Confirmed → Fix Released
Chris Gagnon (chris.gagnon) wrote :

This is happening again in the non-rtm image. I reopened the bug. It doesn't happen as often as it used to.

current build number: 245
device name: mako
channel: ubuntu-touch/devel-proposed
alias: ubuntu-touch/utopic-proposed
last update: 2014-09-18 22:34:55
version version: 245
version ubuntu: 20140918
version device: 20140917
version custom: mako-0.5

Changed in indicator-network (Ubuntu):
status: Fix Released → Confirmed
Antti Kaijanmäki (kaijanmaki) wrote :

sigh,, ok. thanks!

Stephen M. Webb (bregma) on 2014-09-22
tags: added: touch-2014-09-25
removed: touch-2014-08-28
tags: added: touch-2014-10-09
removed: touch-2014-09-25
Chris Gagnon (chris.gagnon) wrote :

This was the #2 crasher on the 20140925 image.

Antti Kaijanmäki (kaijanmaki) wrote :

Jussi, please take a look ASAP.

Changed in indicator-network (Ubuntu):
status: Confirmed → In Progress
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package indicator-network - 0.5.1+14.10.20141007.1-0ubuntu1

---------------
indicator-network (0.5.1+14.10.20141007.1-0ubuntu1) utopic; urgency=low

  [ Jussi Pakkanen ]
  * Dbus-cpp crash fix. (LP: #1343341)
  * Mark modem as unavailable if modem manager is missing. (LP:
    #1356200)
 -- Ubuntu daily release <email address hidden> Tue, 07 Oct 2014 12:48:40 +0000

Changed in indicator-network (Ubuntu):
status: In Progress → Fix Released
Changed in indicator-network (Ubuntu RTM):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers